<?xml version="1.0" encoding="utf-8"?>

<creole>
    <files>
        <file filelist='esu' name='/home/esu/Base/DomainConf.xml' mkdir='True'/>
        <file filelist='esu' name='/home/esu/Console/esuconf.xml'/>
    </files>

    <variables>
        <family name='services'>
            <variable name='activer_esu' type='oui/non' description="Utiliser le logiciel ESU" hidden='True'>
                <value>oui</value>
            </variable>
        </family>
        <family name='esu' icon='windows'>
            <variable name='esu_proxy' type='oui/non' description="Activer le paramétrage du proxy dans ESU">
                <value>non</value>
            </variable>
            <variable name='esu_proxy_default' type='oui/non' description="Activer le proxy ESU dans les modèles par défaut" auto_freeze='True'>
                <value>oui</value>
            </variable>
            <variable name='esu_proxy_server' type='domain' description='Adresse du proxy par défaut dans ESU' mandatory='True'/>
            <variable name='esu_proxy_port' type='port' description='Port du proxy par défaut dans ESU' mandatory='True'>
                <value>3128</value>
            </variable>
            <variable name='esu_proxy_bypass' type='string' description='Site accessible sans proxy dans ESU' multi='True'>
                <value>127.0.0.1</value>
            </variable>
        </family>
    </variables>

    <constraints>
        <!-- ESU -->
        <condition name='disabled_if_in' source='activer_esu'>
            <param>non</param>
            <target type='family'>esu</target>
            <target type='filelist'>esu</target>
        </condition>
        <condition name='disabled_if_in' source='esu_proxy'>
            <param>non</param>
            <target type='variable'>esu_proxy_default</target>
            <target type='variable'>esu_proxy_server</target>
            <target type='variable'>esu_proxy_port</target>
            <target type='variable'>esu_proxy_bypass</target>
        </condition>
    </constraints>

    <help>
        <variable name='activer_esu'>ESU est une application de gestion avancée des postes clients</variable>
        <variable name='esu_proxy_bypass'>Liste des sites qui sont accessibles sans passer par le proxy</variable>
        <family name='esu'>Configuration du proxy ESU</family>
    </help>
</creole>
<!-- vim: ts=4 sw=4 expandtab
-->
